Bug 852065 - Man page for rhc command missing
Man page for rhc command missing
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rubygem-rhc (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Guillermo Gómez
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 09:33 EDT by Jan Pazdziora
Modified: 2015-12-02 11:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:40:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2012-08-27 09:33:21 EDT
Description of problem:

There is no man page explaining the rhc command and its behaviour.

Version-Release number of selected component (if applicable):

$ rpm -qf /bin/rhc
rubygem-rhc-0.95.14-2.fc17.noarch

How reproducible:

Deterministic.

Steps to Reproduce:
1. Type rhc, observe that you have it installed and it prints out some brief usage overview.
2. Type man rhc to get classical man page.
  
Actual results:

$ man rhc
No manual entry for rhc

Expected results:

Nice man page, providing description of the command, its purpose and usage on one page.

Additional info:
Comment 1 Guillermo Gómez 2012-08-28 20:57:54 EDT
Well, yes, there's no man page in the source, hopefully we will see one in the future and we reopen this.

Reference[1]

SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

[1] http://fedoraproject.org/wiki/Packaging:ReviewGuidelines
Comment 2 Jan Pazdziora 2012-08-29 02:41:08 EDT
(In reply to comment #1)
> Well, yes, there's no man page in the source, hopefully we will see one in
> the future and we reopen this.

What is the upstream ticket / release tracking the addition of man pages in the upstream?

> Reference[1]
> 
> SHOULD: your package should contain man pages for binaries/scripts. If it
> doesn't, work with upstream to add them where they make sense.
> 
> [1] http://fedoraproject.org/wiki/Packaging:ReviewGuidelines

Reopening to keep this issue tracked. This is not a NOTABUG. The SHOULD is imperative enough.
Comment 3 Troy Dawson 2012-08-29 08:22:37 EDT
I just checked, and with the latest version of upstream rhc, there are man pages, the problem is that they aren't in the gem file.

I have opened a bug with upstream.

https://bugzilla.redhat.com/show_bug.cgi?id=852726
Comment 4 Guillermo Gómez 2012-09-22 09:35:55 EDT
We dont have any rake task to generate man pages so far with latest gem, reported upstream.

https://bugzilla.redhat.com/show_bug.cgi?id=852726
Comment 5 Troy Dawson 2013-02-07 11:40:03 EST
Just talked with upstream.  They are still working on this.  They have updated their help section.  The plan is that this will the basis that the man pages will be generated.

yum help
yum help <resource>

They do not have a timeframe for this yet.
Comment 6 Fedora End Of Life 2013-07-04 01:49:46 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Jan Pazdziora 2013-07-04 03:30:13 EDT
Bugzilla is still valid on Fedora 19 with

# rpm -qf /usr/bin/rhc
rubygem-rhc-1.9.6-1.fc19.noarch
# man rhc
No manual entry for rhc
Comment 8 Fedora End Of Life 2015-01-09 17:00:26 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Jan Pazdziora 2015-01-12 04:44:48 EST
Bugzilla is still valid on Fedora 21 with

# rpm -qf /usr/bin/rhc
rubygem-rhc-1.32.2-1.fc21.noarch
# man rhc
No manual entry for rhc
Comment 10 Fedora End Of Life 2015-11-04 10:44:15 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-12-01 21:40:28 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.